Subject: smp_affinity, MSI-X and 2.6.21.1

From: Rick Jones <[email-masked]>
Date: Mon, 07 May 2007 13:53:39 -0700

Folks -

Is it a bug, or a feature that after changing a device's smp_affinity via echo 
"N" >> /proc/irq/M/smp_affinity that the new mask isn't visible via cat 
/proc/irq/M/smp_affinity until after actual interrupts are taken?

rick jones